Create physical debit card application with Tuum core account

Here you will learn how to create a new card application for debit card that uses Tuum core account.

Use case

In this example, we will demonstrate how to create a new card application for debit card that uses Tuum core account.

Use case data
API parameters with values

Card application type

Card product code

Account owner details

Cardholder details

Servicing account

Allowed authorisation types

Card limits

Product details

Sample API call

To create a new card application for debit card that uses Tuum core account, use the following endpoint:

https://card-api.sandbox.tuumplatform.com/api/v3/applications/create

circle-info

Learn more about the create card applicationarrow-up-right endpoint in the Tuum developer portal.

Sample request

The sample request body is as follows:

Sample response

Below you will find the response to the sample request:

chevron-rightResponsehashtag

Result

The API call returns the full set of card application data, including parameters automatically generated by the Tuum system, as shown below:

Parameter and value
Explanation

"applicationId": "C001664282668"

A new card application with the ID C001664282668 has been registered in the system.

"statusCode": "WAITING"

The card application is currently in the WAITING status, awaiting approval.

Notes:

  • Whether a card application requires an acceptance step is determined by the configuration of the associated card product.

  • If you need to modify any parameters from the default values defined by the card product, use the endpoint: POST /api/v3/applications/{applicationId}/update

  • You can update the card application only while it remains in the WAITING status.

Last updated

Was this helpful?